# $Revision: 1.35 $, $Date: 2005/06/11 09:43:55 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	PodToHTML Perl module - converts POD to HTML or PostScript
Summary(pl):	Modu Perla PodToHTML - konwersja plikw POD do formatu HTML lub PostScript
Name:		perl-PodToHTML
Version:	0.05
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Pod/PodToHTML-%{version}.tar.gz
# Source0-md5:	0a6a4d1887e6b95df0232b002940a5c3
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-HTML-Tree
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-HTML-Stream
BuildRequires:	perl-URI
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PodToHTML Perl module converts POD to HTML or PostScript.

%description -l pl
Modu Perla PodToHTML konwertuje pliki POD do formatu HTML lub
PostScript.

%prep
%setup -q -n PodToHTML-%{version}
%{__perl} -pi -e 's/^(use\s+Pod::Parser\s+1.06)1/$1_1/' Pod/HTML_Elements.pm
# this package requires Pod::Parser, which also contains Pod::Find
%{__perl} -pi -e 's/\bPod::Find\b/Pod::FindFiles/g' findpods Pod/Find.pm podtohtml
%{__mv} Pod/Find.pm Pod/FindFiles.pm

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/podtohtml
%{perl_vendorlib}/Pod/*.pm
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PodToHTML.spec,v $
Revision 1.35  2005/06/11 09:43:55  radek
- release 2: mv Pod/Find{,Files}.pm to resolve conflict with Pod::Parser

Revision 1.34  2004/12/03 13:19:23  radek
- version 0.05

Revision 1.33  2004/06/03 10:10:33  radek
- release 12: require Pod::Parser=1.06_1 instead of 1.061

Revision 1.32  2004/06/02 19:43:54  ankry
- fixed Summary, added -fix patch, rel. 11

Revision 1.31  2004/05/07 00:59:47  ankry
- rel. 10

Revision 1.30  2004/05/06 18:20:55  ankry
- fixed perl-devel BR

Revision 1.29  2004/05/05 15:50:43  ankry
- tests added (but fail - need investigation), license fix, cosmetics

Revision 1.28  2003/09/09 10:24:46  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:09:08  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:00:58  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 20:22:31  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:41:04  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:37:46  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/11/26 00:14:41  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.19  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/03/03 20:32:53  marcus
- rel.8.

Revision 1.17  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/10 15:32:57  depesz
adapterized

Revision 1.15  2002/02/09 13:47:43  depesz
wrong path

Revision 1.14  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:21  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:14:26  baggins
- release 6
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/04/14 00:49:36  kloczek
- release 5: removed BuildRequires for perl-PodParser (provided by perl).

Revision 1.9  2001/01/23 14:27:23  kloczek
- spec adapterized.

Revision 1.8  2001/01/13 01:52:54  dobrek
-Req:perl>=5.6 ;Realase=4;New rpm automat

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:45  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
